package cn.com.ty.lift.push.message.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 实时消息推送记录表
 */
@Data
public class TimeMessage {
    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;
    @TableField("user_id")
    private Long userId;
    @TableField("content")
    private String content;
    @TableField("type")
    private Integer type;
    @TableField("view_flag")
    private Integer viewFlag;
    @TableField("device_model")
    private Integer deviceModel;
    @TableField("create_user_id")
    private Long createUserId;
    @TableField("create_time")
    private LocalDateTime createTime;
}
